svn::DateTime Class Reference

`#include <datetime.hpp>`

## Public Member Functions

| DateTime ()
| DateTime (const apr_time_t time)
| DateTime (const DateTime &dateTime)
const DateTime & | operator= (const DateTime &dateTime)
bool | operator== (const DateTime &dateTime)
bool | operator!= (const DateTime &dateTime)
bool | IsValid () const
apr_time_t | GetAPRTimeT () const
bool | SetRFC822Date (const char *date)

## Detailed Description

Class that encapsulates apr_time_t.

See Also
  apr_time_t

## Constructor & Destructor Documentation

svn::DateTime::DateTime | ( |  | ) |

Default Constructor

svn::DateTime::DateTime | ( | const apr_time_t | time | ) |

Constructor

Parameters

  time | number of microseconds since 00:00:00 january 1, 1970 UTC

svn::DateTime::DateTime | ( | const DateTime & | dateTime | ) |

Copy constructor

Parameters

  dateTime | Source

## Member Function Documentation

apr_time_t svn::DateTime::GetAPRTimeT | ( |  | ) | const

Returns
  APR apr_time_t

bool svn::DateTime::IsValid | ( |  | ) | const

Returns
  Is a valid (non-zero) date

bool svn::DateTime::operator!= | ( | const DateTime & | dateTime | ) |

Parameters

  dateTime | Comparator

const DateTime& svn::DateTime::operator= | ( | const DateTime & | dateTime | ) |

Parameters

  dateTime | Source

bool svn::DateTime::operator== | ( | const DateTime & | dateTime | ) |

Parameters

  dateTime | Comparator

bool svn::DateTime::SetRFC822Date | ( | const char * | date | ) |

Set from date string of the form below, using apr_date_parse_rfc

        Sun, 06 Nov 1994 08:49:37 GMT

See Also
  apr_date_parse_rfc

Returns
  Successfully parsed

The documentation for this class was generated from the following file:

- datetime.hpp